%define upstream_name    TestML
%define upstream_version 0.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Module::Install Support for TestML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(IO::All)
BuildRequires: perl(Pegex) >= 0.300.0
BuildRequires: perl(Template::Toolkit::Simple)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

%description
TestML is a generic, programming language agnostic, meta language for
writing unit tests. The idea is that you can use the same test files in
multiple implementations of a given programming idea. Then you can be more
certain that your application written in, say, Python matches your Perl
implementation.

In a nutshell you write a bunch of data tests that have inputs and expected
results. Using a simple syntax, you specify what functions the data must
pass through to produce the expected results. You use a bridge class to
write the data transform functions that pass the data through your
application.

In Perl 5, TestML is the evolution of the the Test::Base manpage module. It
has a superset of Test:Base's goals. The data markup syntax is currently
exactly the same as Test::Base.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.520.0-4pclos2017
- rebuild against updates

